问题描述:晚上升级了mac系统到最新版本到10.15后,发现 go应用不能启动

启动后报错如下:

dyld: malformed mach-o image: segment __DWARF has vmsize

开始查资料查到这个帖子:https://go-review.googlesource.com/c/go/+/183397/2

如图go的官方代码修复了这个bug,新增了图上绿色背景的一行代码,看到这里,那肯定需要升级了go了 (我的go本地是1.12,最新版本是go1.13.4)

mac升级go注意:

需要先删除本地的go

sudo rm -rf /etc/paths.d/go

sudo rm -rf /usr/local/Cellar/go/1.12.4/libexec   (我的go之前是在这个目录安装的)

然后从官方下载最新的  go1.13.4.darwin-amd64.pkg  安装即可, https://golang.org

需要修改环境变量

vim  ~/.bash_profile

exportGOPATH=$HOME/go

source~/.bash_profile

go version  查看是否安装成功

文章来源于互联网,如有雷同请联系站长删除:升级mac 系统到10.15 后,go二进制文件不能启动

发表评论